"use strict";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

Object.setPrototypeOf = require('setprototypeof');

require('@babel/polyfill');

require('nprogress-for-antd/nprogress.css');
/* eslint-disable no-unused-vars */


var React = require('react');

if (!React.PropTypes) {
  React.PropTypes = require('prop-types');
}

if (!React.createClass) {
  React.createClass = require('create-react-class');
}
/* eslint-enable no-unused-vars */


var ReactDOM = require('react-dom');

var ReactRouter = require('react-router');

var history = require('history');

var data = require('../lib/utils/data.js');

var routes = require('{{ routesPath }}')(data);

var _window$location = window.location,
    pathname = _window$location.pathname,
    search = _window$location.search,
    hash = _window$location.hash;
var location = "".concat(pathname).concat(search).concat(hash);
var basename = '{{ root }}';
/* eslint-enable no-unused-vars */

var NProgress = require('nprogress-for-antd');

function createElement(Component, props) {
  NProgress.done();
  var dynamicPropsKey = props.location.pathname;
  return /*#__PURE__*/React.createElement(Component, _extends({}, props, Component[dynamicPropsKey]));
}

;
ReactRouter.match({
  routes: routes,
  location: location,
  basename: basename
}, function () {
  var router = /*#__PURE__*/React.createElement(ReactRouter.Router, {
    history: ReactRouter.useRouterHistory(history.createHistory)({
      basename: basename
    }),
    routes: routes,
    createElement: createElement
  });
  ReactDOM.render(router, document.getElementById('engine-content'));
});